PDA

Visualizza la versione completa : Aiuto con apt


Arthemis
26-09-2005, 22:12
Ciao a tutti ho un problema!
Ho notato che i mirror che utilizzavo prima per le apt non mi funzionano piu e quelli che ci stanno di base trovano pochissimi risultati!!!
Potreste dirmi come posso editare il file per le risorse?
VI PREGO HO APPENA INSTALLATO GNOME E NN HO NULLA :P!

:dh: :ciauz:

andy caps
26-09-2005, 23:21
devi dire che versione hai di debian
incolla il sources.list

Arthemis
27-09-2005, 19:59
Risolto grazie lo stesso ;)

Comunque ciao andy ;) sono l'amico di Gandalf ci siamo visti al LUG di Roma!
Senti mi puoi dire quando rifanno il LUG a Roma e dove?

Grazie CIAO A TUTTI! :ciauz:

P.S.:Ora ho montato una Debian con Kernel 2.6 che pero non mi funziona l'audio anzi se mi sapreste aiutare ve ne sarei gratissimo :P
:cry:

andy caps
27-09-2005, 20:34
guarda se hai installato i file di alsa

apt-get install alsa-base alsa-utils

se sei loggato come user devi agiugenti da terminale di root al gruppo audio con il comando es:

adduser Arthemis audio e magari per provare

chmod 777 /dev/dsp

se magari incolli il risultato di lspci o scanpci si puo dirti che moduli eventualmente caricare ma probabilmente una volta installati i file di alsa il comando alsaconf sistema l'audio

il linux day ci sara come al solito a novembre ma devono ancora decidere tutto
ci sara' una riunione il primo ottobre e se mandi un pvt a Kandalf http://forum.html.it/forum/private.php?s=&action=newmessage&userid=22067
sapra' essere piu preciso
kandalf
:madai!?: faccio anche la spia Kandalf a scritto ad Arcangeli ( uno sviluppatore italiano tra i piu quotati che contribuisce allo sviluppo del kernel) che ha accettato di venire di buon grado

Arthemis
27-09-2005, 21:29
Guarda la notizia sconvolgente! :oVVoVe: KE FICO!
Cmq sto dentro come root e il pacchetto che mi hai detto tu non me lo scarica perch non lo trova. Ho installato quindi solo Alsa-base ma il comando #alsaconf non me lo fa partire.

Ti listo comunque il risultato di #scanpci:

debian:~# scanpci

pci bus 0x0000 cardnum 0x00 function 0x00: vendor 0x8086 device 0x2570
Intel Corp. 82865G/PE/P Processor to I/O Controller

pci bus 0x0000 cardnum 0x01 function 0x00: vendor 0x8086 device 0x2571
Intel Corp. 82865G/PE/P Processor to AGP Controller

pci bus 0x0000 cardnum 0x1d function 0x00: vendor 0x8086 device 0x24d2
Intel Corp. 82801EB USB

pci bus 0x0000 cardnum 0x1d function 0x01: vendor 0x8086 device 0x24d4
Intel Corp. 82801EB USB

pci bus 0x0000 cardnum 0x1d function 0x02: vendor 0x8086 device 0x24d7
Intel Corp. 82801EB USB

pci bus 0x0000 cardnum 0x1d function 0x03: vendor 0x8086 device 0x24de
Intel Corp. 82801EB USB

pci bus 0x0000 cardnum 0x1d function 0x07: vendor 0x8086 device 0x24dd
Intel Corp. 82801EB USB2

pci bus 0x0000 cardnum 0x1e function 0x00: vendor 0x8086 device 0x244e
Intel Corp. 82801BA/CA/DB/EB PCI Bridge

pci bus 0x0000 cardnum 0x1f function 0x00: vendor 0x8086 device 0x24d0
Intel Corp. 82801EB LPC Interface Controller

pci bus 0x0000 cardnum 0x1f function 0x01: vendor 0x8086 device 0x24db
Intel Corp. 82801EB Ultra ATA Storage Controller

pci bus 0x0000 cardnum 0x1f function 0x05: vendor 0x8086 device 0x24d5
Intel Corp. 82801EB AC'97 Audio Controller

pci bus 0x0001 cardnum 0x00 function 0x00: vendor 0x10de device 0x0343
nVidia Corporation Device unknown

pci bus 0x0002 cardnum 0x05 function 0x00: vendor 0x11ab device 0x4320
Galileo Technology Ltd. Device unknown

pci bus 0x0002 cardnum 0x0b function 0x00: vendor 0x10ec device 0x8139
Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+
debian:~#


Salvami tu CIAO CIAO :bh:

andy caps
27-09-2005, 21:44
il file lo deve trovare se hai apt configurato

apt-get install alsa-utils gnome-alsamixer

scrivilo correttamente prima scrivi in /etc/modules

snd-intel8x0
snd-ac97-codec
snd-pcm
snd

poi prova a riavviare

Arthemis
27-09-2005, 22:28
Azz mi uscito un problema con le apt che non so come risolvere: qualsiasi cosa installo con apt mi da questo messaggio:

debian:~# apt-get install alsa-base
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto
consigliabile eseguire 'apt-get -f install' per correggere questi problemi:
I seguenti pacchetti hanno dipendenze non soddisfatte:
hal: Dipende: udev (>= 0.063) ma 0.056-3 sta per essere installato
E: Dipendenze non soddisfatte. Provare 'apt-get -f install' senza pacchetti (o specificare una soluzione).
debian:~#

Ho provato a installare udev 0.063 ma richiede il kernel 2.6.12 e io lo ho minore :( Come posso fare?Non utilizzero mai piu apt? E fino a poco fa ho scaricato pacchetti!
CHE E' SUCCESSO?

:dh: :dh: :dh:

andy caps
27-09-2005, 22:41
si lo fa a tutti

devi forzare l'installazione di hal
dai un
cd /var/cache/apt/archives

poi un
ls | grep hal

poi installa il pacchetto con
dpkg -i --force-all hal_0.4.8-7_i386.deb

mettendo chiaramente la tua versione se non hai sid


poi dai sempre
apt-get -f install
dpkg --configure -a
per risolvere le dipendenze

Arthemis
27-09-2005, 22:49
Niente il problema me lo da lo stesso anche se ho forzato come mi hai detto tu :(
Para il processo che mi hai detto vada a buon fine ma mi da sempre lo stesso problema l'apt!!!
:messner:

andy caps
27-09-2005, 22:54
dai un dpkg --configure -a provvisoriamente

installa comunque sempre gli altri pacchetti anche se hal rimarra appeso

purtroppo udev come hai letto dipende dal kerrnel 2.6.12

:bh: a parte il messaggio di errore altri problemi non ne da

Loading